#######################################################################################
    # This script consist of the estimation of debt-to-income ratio 
    # The debt-to-income rate is extracted form SSB (2023c) and inserted into the 
    # Excel-sheet denoted in the read_excel.
    # For this estimation, use the file: "Dataset_Debt-to-income"
#######################################################################################

# Packages
library(rmarkdown)  # to generate pdf file
library(tinytex)    # to generate pdf file
library(readxl)     # to read Excel files
library(ggplot2)    # plot time series 

# Working directory
setwd("~/Desktop/Koding")

# Import data from Excel file
data <- read_excel("/Users/piaegeberg/Desktop/Koding/Dataset_Debt-to-income.xlsx")
data <- as.data.frame(data)

#######################################################################################

# Plotting debt-to-income
plot(data$Month, data$Ratio,
     ylab="",
     ylim = c(120,250),
     xaxt = "n",
     xlab="",
     type="l",
     col="blue")
grid()
axis(side = 1, at = seq(min(data$Month), max(data$Month), by = "1 years"), labels = format(seq(min(data$Month), max(data$Month), by = "1 years"), "%Y"))
grid()
legend("right", legend = c("Debt-to-income ratio"), 
       col = c("blue"), lty = 1, cex = 0.7)
grid()


