#######################################################################################
    # This script consist of the estimation of the price-to-rent ratio 
    # This dataset is the same as Grytten provided, only that the P/R ratios has 
    # been extracted along with date to the file denoted in the read_excel. 
    # For this estimation, use the file: "Dataset_Price to Rent.xls"
#######################################################################################

#Set working directory  
setwd("/Users/piaegeberg/Desktop/Koding")

# Packages 
library(rmarkdown)  # to generate pdf file
library(tinytex)    # to generate pdf file
library(readxl)     # to read Excel files

# Import data
data <- read_excel("/Users/piaegeberg/Desktop/Koding/Dataset_Price to Rent.xls")
data       <- as.data.frame(data)

# Assuming your date column is named "date_column"
data$Years <- as.Date(data$Years, format = "%m/%d/%Y")
data$Years <- as.Date(data$Years)

# Change column name
colnames(data) <- c("Year", "PricetoRent")

# Remove NAs
data <- data[ (data$Year >= "1871-01-01")  &  (data$Year <= "2022-01-01"), ]
data2 <- na.omit(data)

#######################################################################################

##### Plotting the historical development of the P/R ratio
plot(data2$Year, data2$PricetoRent,
     main="",
     ylim= c(50,350),
     type = "l", 
     col  = "blue",
     xlab = "", 
     ylab = "",
     xaxt = "n")
grid()
axis(side = 1, at = seq(min(data2$Year), max(data2$Year), by = "2 years"), labels = format(seq(min(data2$Year), max(data2$Year), 
                         by = "2 years"), "%Y"))
legend("bottomright", legend = c("P/R-coefficient"), 
       col = c("blue"), lty = 1, cex = 0.6)

